ChangeSet 1.994, 2003/02/20 11:11:14-08:00, greg@kroah.com

[PATCH] USB: added tripp device id's to pl2303 driver.

Thanks to John Moses <jmoses@lanl.gov> for the information.


diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	Thu Feb 20 12:07:11 2003
+++ b/drivers/usb/serial/pl2303.c	Thu Feb 20 12:07:11 2003
@@ -70,6 +70,7 @@
 	{ USB_DEVICE(ITEGNO_VENDOR_ID, ITEGNO_PRODUCT_ID) },
 	{ USB_DEVICE(MA620_VENDOR_ID, MA620_PRODUCT_ID) },
 	{ USB_DEVICE(RATOC_VENDOR_ID, RATOC_PRODUCT_ID) },
+	{ USB_DEVICE(TRIPP_VENDOR_ID, TRIPP_PRODUCT_ID) },
 	{ }					/* Terminating entry */
 };
 
diff -Nru a/drivers/usb/serial/pl2303.h b/drivers/usb/serial/pl2303.h
--- a/drivers/usb/serial/pl2303.h	Thu Feb 20 12:07:11 2003
+++ b/drivers/usb/serial/pl2303.h	Thu Feb 20 12:07:11 2003
@@ -28,3 +28,6 @@
 
 #define RATOC_VENDOR_ID		0x0584
 #define RATOC_PRODUCT_ID	0xb000
+
+#define TRIPP_VENDOR_ID		0x2478
+#define TRIPP_PRODUCT_ID	0x2008
